/*
 * Created on Nov 19, 2004
 *
 */

package de.renew.engine.events;

import de.renew.engine.thread.SimulationThreadPool;


/**
 * Informs about the start of a net simulation.
 *
 * @author Sven Offermann
 */
public class SimulationStart implements SimulationEvent {
    /**
     * Creates a new {@link SimulationStart} event.
     */
    public SimulationStart() {
        assert SimulationThreadPool.isSimulationThread() : "is not in a simulation thread";
    }

    @Override
    public String toString() {
        return "New net simulation started...";
    }
}